Home
Reading
Searching
Subscribe
Sponsors
Statistics
Posting
Contact
Spam
Lists
Links
About
Hosting
Filtering
Features Download
Marketing
Archives
FAQ
Blog
 
Gmane
From: Johan Tibell <johan.tibell <at> gmail.com>
Subject: Heads up: Conflicting versions of network-2.2.1
Newsgroups: gmane.comp.lang.haskell.cafe
Date: Sunday 10th May 2009 17:23:20 UTC (over 8 years ago)
Hi,

The version of network-2.2.1 that shipped with GHC 6.10 differs from the
one
on Hackage [1]. The version that was released with GHC was never uploaded
to
Hackage and was never tagged in the darcs repository. When making a new
release of network I forgot to check the version number on the version of
network that shipped with GHC. My appologies. If you want the API additions
that are present in network-2.2.1 on Hackage use network-2.2.1.1 instead to
make sure that e.g. cabal-install doesn't use the version of network that
comes with GHC.

In the future there won't be any releases directly from the darcs repo. All
releases will be made on Hackage to later be picked up by the Haskell
Platform.

Cheers,

Johan

1. http://hackage.haskell.org/cgi-bin/hackage-scripts/package/network-2.2.1
 
CD: 2ms